library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity nexys4_vga_minimal_bench is
end nexys4_vga_minimal_bench;

architecture Behavioral of nexys4_vga_minimal_bench is

component nexys4_vga_minimal is Port(
	clk : in std_logic;
    vgaRed, vgaBlue, vgaGreen : out std_logic_vector(3 downto 0);
    Hsync, Vsync : out std_logic);
end component;

signal clk_in: std_logic:='0';
constant clk_in_half_period : time := 5 ns;

signal vga_r, vga_g, vga_b: std_logic_vector(3 downto 0):=(others => '0');
signal hs, vs: std_logic:='0';

begin

vga0: nexys4_vga_minimal port map(
	clk => clk_in,
    vgaRed => vga_r,
	vgaBlue => vga_b,
	vgaGreen => vga_g,
    Hsync => hs,
	Vsync => vs);

clk_in <= not clk_in after clk_in_half_period;

end Behavioral;
